curl --request POST \
--url https://services.leadconnectorhq.com/invoices/estimate/template \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data @- <<EOF
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "Home Service Estimate Template",
"businessDetails": {
"logoUrl": "https://example.com/logo.png",
"name": "ABC Corp.",
"phoneNo": "+1-214-559-6993",
"address": "9931 Beechwood, TX",
"website": "wwww.example.com",
"customValues": [
"<string>"
]
},
"currency": "USD",
"items": [
"<array>"
],
"discount": {
"type": "percentage",
"value": 10,
"validOnProductIds": "[ '6579751d56f60276e5bd4154' ]"
},
"liveMode": true,
"termsNotes": "<p>This is a default terms.</p>",
"title": "ESTIMATE",
"automaticTaxesEnabled": true,
"meta": {
"key": "value"
},
"sendEstimateDetails": {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"action": "sms_and_email",
"liveMode": true,
"userId": "6578278e879ad2646715ba9c",
"sentFrom": {
"fromName": "Alex",
"fromEmail": "alex@example.com"
},
"estimateName": "Estimate"
},
"estimateNumberPrefix": "EST-",
"attachments": [
{
"id": "6241712be68f7a98102ba272",
"name": "Electronics.pdf",
"url": "https://example.com/digital-delivery",
"type": "<string>",
"size": 10000
}
],
"miscellaneousCharges": {
"charges": [
"<array>"
],
"collectedMiscellaneousCharges": 10,
"paidCharges": [
{
"name": "Processing Fee",
"charge": 10,
"amount": 10,
"_id": "673d01d7d547648a8dab6211"
}
]
}
}
EOF{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"_id": "67ac9a51106ee8311e911XXXX",
"liveMode": true,
"deleted": false,
"name": "Estimate Name",
"currency": "USD",
"businessDetails": {
"logoUrl": "your_image-url",
"name": "Business name",
"address": {
"addressLine1": "address line 1",
"city": "Test City",
"state": "State Name",
"countryCode": "US",
"postalCode": "12345"
},
"phoneNo": "+1 1234567890",
"website": "www.example.com",
"customValues": [
{
"name": "Test",
"fieldKey": "{{custom_values.test}}",
"id": "5DYTWoiQvWiIJZXX44XXX",
"value": "Test's Custom Value"
}
]
},
"items": [
{
"taxes": [],
"taxInclusive": false,
"_id": "67ac9a51106ee8311e911XXXX",
"description": "<p>Futuristic anti-gravity racing</p>",
"currency": "USD",
"productId": "67ac9a51106ee8311e911XXXX",
"priceId": "67ac9a51106ee8311e911XXXX",
"amount": 9.99,
"qty": 1,
"name": "TEST",
"type": "one_time"
},
{
"taxes": [
{
"_id": "67ac9a51106ee8311e911XXXX",
"name": "TaxTwo",
"rate": 8.5,
"calculation": "exclusive"
}
],
"taxInclusive": true,
"_id": "67ac9a51106ee8311e911XXXX",
"productId": "67ac9a51106ee8311e911XXXX",
"priceId": "67ac9a51106ee8311e911XXXX",
"currency": "USD",
"name": "TEST2",
"qty": 1,
"amount": 500,
"description": "",
"type": "recurring"
}
],
"discount": {
"type": "percentage",
"value": 0
},
"total": 1222.03,
"createdAt": "2025-02-12T13:17:47.416Z",
"updatedAt": "2025-02-12T13:17:47.416Z",
"__v": 0,
"automaticTaxesEnabled": false,
"title": "ESTIMATE",
"estimateNumberPrefix": "EST-",
"attachments": [
{
"id": "6241712be68f7a98102ba272",
"name": "Electronics.pdf",
"url": "https://example.com/digital-delivery",
"type": "<string>",
"size": 10000
}
],
"updatedBy": "3HIpOF9NIc5ltriQXXXX",
"termsNotes": "<p>All services are subject to availability.</p>"
}Create a new estimate template
curl --request POST \
--url https://services.leadconnectorhq.com/invoices/estimate/template \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data @- <<EOF
{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "Home Service Estimate Template",
"businessDetails": {
"logoUrl": "https://example.com/logo.png",
"name": "ABC Corp.",
"phoneNo": "+1-214-559-6993",
"address": "9931 Beechwood, TX",
"website": "wwww.example.com",
"customValues": [
"<string>"
]
},
"currency": "USD",
"items": [
"<array>"
],
"discount": {
"type": "percentage",
"value": 10,
"validOnProductIds": "[ '6579751d56f60276e5bd4154' ]"
},
"liveMode": true,
"termsNotes": "<p>This is a default terms.</p>",
"title": "ESTIMATE",
"automaticTaxesEnabled": true,
"meta": {
"key": "value"
},
"sendEstimateDetails": {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"action": "sms_and_email",
"liveMode": true,
"userId": "6578278e879ad2646715ba9c",
"sentFrom": {
"fromName": "Alex",
"fromEmail": "alex@example.com"
},
"estimateName": "Estimate"
},
"estimateNumberPrefix": "EST-",
"attachments": [
{
"id": "6241712be68f7a98102ba272",
"name": "Electronics.pdf",
"url": "https://example.com/digital-delivery",
"type": "<string>",
"size": 10000
}
],
"miscellaneousCharges": {
"charges": [
"<array>"
],
"collectedMiscellaneousCharges": 10,
"paidCharges": [
{
"name": "Processing Fee",
"charge": 10,
"amount": 10,
"_id": "673d01d7d547648a8dab6211"
}
]
}
}
EOF{
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"_id": "67ac9a51106ee8311e911XXXX",
"liveMode": true,
"deleted": false,
"name": "Estimate Name",
"currency": "USD",
"businessDetails": {
"logoUrl": "your_image-url",
"name": "Business name",
"address": {
"addressLine1": "address line 1",
"city": "Test City",
"state": "State Name",
"countryCode": "US",
"postalCode": "12345"
},
"phoneNo": "+1 1234567890",
"website": "www.example.com",
"customValues": [
{
"name": "Test",
"fieldKey": "{{custom_values.test}}",
"id": "5DYTWoiQvWiIJZXX44XXX",
"value": "Test's Custom Value"
}
]
},
"items": [
{
"taxes": [],
"taxInclusive": false,
"_id": "67ac9a51106ee8311e911XXXX",
"description": "<p>Futuristic anti-gravity racing</p>",
"currency": "USD",
"productId": "67ac9a51106ee8311e911XXXX",
"priceId": "67ac9a51106ee8311e911XXXX",
"amount": 9.99,
"qty": 1,
"name": "TEST",
"type": "one_time"
},
{
"taxes": [
{
"_id": "67ac9a51106ee8311e911XXXX",
"name": "TaxTwo",
"rate": 8.5,
"calculation": "exclusive"
}
],
"taxInclusive": true,
"_id": "67ac9a51106ee8311e911XXXX",
"productId": "67ac9a51106ee8311e911XXXX",
"priceId": "67ac9a51106ee8311e911XXXX",
"currency": "USD",
"name": "TEST2",
"qty": 1,
"amount": 500,
"description": "",
"type": "recurring"
}
],
"discount": {
"type": "percentage",
"value": 0
},
"total": 1222.03,
"createdAt": "2025-02-12T13:17:47.416Z",
"updatedAt": "2025-02-12T13:17:47.416Z",
"__v": 0,
"automaticTaxesEnabled": false,
"title": "ESTIMATE",
"estimateNumberPrefix": "EST-",
"attachments": [
{
"id": "6241712be68f7a98102ba272",
"name": "Electronics.pdf",
"url": "https://example.com/digital-delivery",
"type": "<string>",
"size": 10000
}
],
"updatedBy": "3HIpOF9NIc5ltriQXXXX",
"termsNotes": "<p>All services are subject to availability.</p>"
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 Location Id or Agency Id
"6578278e879ad2646715ba9c"
location Estimate Name
"Home Service Estimate Template"
Show child attributes
Currency code
"USD"
An array of items for the estimate.
Show child attributes
livemode for estimate
true
Terms notes, Also supports HTML markups
"<p>This is a default terms.</p>"
Title for the estimate
"ESTIMATE"
Automatic taxes enabled for the Estimate
true
Meta data for the estimate
{ "key": "value" }Show child attributes
Prefix for the estimate number
"EST-"
attachments for the invoice
Show child attributes
Show child attributes
Successfully created
Location Id or Agency Id
"6578278e879ad2646715ba9c"
location Unique identifier
"67ac9a51106ee8311e911XXXX"
Indicates if it is in live mode
true
Indicates if deleted
false
Name
"Estimate Name"
Currency code
"USD"
{
"logoUrl": "your_image-url",
"name": "Business name",
"address": {
"addressLine1": "address line 1",
"city": "Test City",
"state": "State Name",
"countryCode": "US",
"postalCode": "12345"
},
"phoneNo": "+1 1234567890",
"website": "www.example.com",
"customValues": [
{
"name": "Test",
"fieldKey": "{{custom_values.test}}",
"id": "5DYTWoiQvWiIJZXX44XXX",
"value": "Test's Custom Value"
}
]
}An array of items
[
{
"taxes": [],
"taxInclusive": false,
"_id": "67ac9a51106ee8311e911XXXX",
"description": "<p>Futuristic anti-gravity racing</p>",
"currency": "USD",
"productId": "67ac9a51106ee8311e911XXXX",
"priceId": "67ac9a51106ee8311e911XXXX",
"amount": 9.99,
"qty": 1,
"name": "TEST",
"type": "one_time"
},
{
"taxes": [
{
"_id": "67ac9a51106ee8311e911XXXX",
"name": "TaxTwo",
"rate": 8.5,
"calculation": "exclusive"
}
],
"taxInclusive": true,
"_id": "67ac9a51106ee8311e911XXXX",
"productId": "67ac9a51106ee8311e911XXXX",
"priceId": "67ac9a51106ee8311e911XXXX",
"currency": "USD",
"name": "TEST2",
"qty": 1,
"amount": 500,
"description": "",
"type": "recurring"
}
]Show child attributes
{ "type": "percentage", "value": 0 }Total amount
1222.03
Timestamp when created
"2025-02-12T13:17:47.416Z"
Timestamp when last updated
"2025-02-12T13:17:47.416Z"
Version number
0
Indicates if automatic taxes are enabled for this estimate
false
Title
"ESTIMATE"
Estimate number prefix
"EST-"
Attachments
Show child attributes
User Id of who last updated
"3HIpOF9NIc5ltriQXXXX"
Terms and conditions for the estimate, supports HTML markup
"<p>All services are subject to availability.</p>"
Was this page helpful?